Pular para o conteúdo principal
POST
/
api-keys
Gerar nova API Key
curl --request POST \
  --url https://api.thatsme.com.br/api/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Integração Produção",
  "expiresAt": "2025-12-31T23:59:59Z"
}
'
import requests

url = "https://api.thatsme.com.br/api/api-keys"

payload = {
"name": "Integração Produção",
"expiresAt": "2025-12-31T23:59:59Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Integração Produção', expiresAt: '2025-12-31T23:59:59Z'})
};

fetch('https://api.thatsme.com.br/api/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
name
string
obrigatório

Nome descritivo para a API Key

Exemplo:

"Integração Produção"

expiresAt
string<date-time>

Data de expiração (opcional)

Exemplo:

"2025-12-31T23:59:59Z"

Resposta

API Key gerada com sucesso. O token retornado deve ser usado no header Authorization: Bearer {token} para acessar as rotas da API v1.0.